<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [getOfficeSizeUpgradeCost](./bitburner.officeapi.getofficesizeupgradecost.md)

## OfficeAPI.getOfficeSizeUpgradeCost() method

Get the cost to upgrade an office.

**Signature:**

```typescript
getOfficeSizeUpgradeCost(divisionName: string, city: CityName, size: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  size | number | Amount of positions to open |

**Returns:**

number

Cost of upgrading the office

## Remarks

RAM cost: 10 GB

